Skip to main content

Get the Stripe Billing Portal Link for a Customer

GET/v2/customers/{customerId}/billing-portal
API version
v2
Request method
GET
Operation ID
contributor-get-customer-billing-portal-link

Get the Stripe Billing Portal Link for a Customer.

Request​

  • customerIdstringrequired

Responses​

Format
application/json
Description

The generated link to the Stripe Billing Portal

  • urlstring
Content-Type: application/json

{
"url": "string"
}
{
"properties": {
"url": {
"type": "string"
}
},
"type": "object"
}

Usage examples​

$ curl \
--fail \
--location \
-H "Authorization: Bearer $MITTWALD_API_TOKEN" \
https://api.mittwald.de/v2/customers/string/billing-portal
import { MittwaldAPIV2Client } from "@mittwald/api-client";
import { assertStatus } from "@mittwald/api-client-commons";

const client = MittwaldAPIClient.newWithToken(process.env.MITTWALD_API_TOKEN);
const response = await client.marketplace.contributorGetCustomerBillingPortalLink({
"customerId": "string"
});

assertStatus(response, 200);

use \Mittwald\ApiClient\Generated\V2\Clients\Marketplace\ContributorGetCustomerBillingPortalLink\ContributorGetCustomerBillingPortalLinkRequest;

$client = MittwaldAPIClient::newWithToken(getenv('MITTWALD_API_TOKEN'));

$request = (new ContributorGetCustomerBillingPortalLinkRequest(
customerId: "string"
));
$response = $client->marketplace()->contributorGetCustomerBillingPortalLink($request);

var_dump($response->getBody();

On this page